be.ehealth.businessconnector.therlink.domain

## Enum ProofTypeValues

- java.lang.Object
- - java.lang.Enum<ProofTypeValues>
  - - be.ehealth.businessconnector.therlink.domain.ProofTypeValues

- All Implemented Interfaces:
    Serializable, Comparable<ProofTypeValues>

      public enum ProofTypeValues
      extends Enum<ProofTypeValues>

  The ProofType values

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EIDREADING` Eid reading proof
    `EIDSIGNING` Eid Signing proof Will read Eid card and launch GUI to ask for PIN code
    `ISIREADING` Sis reading proof

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()`
    `static ProofTypeValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProofTypeValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EIDREADING

          public static final ProofTypeValues EIDREADING

      Eid reading proof

    - #### ISIREADING

          public static final ProofTypeValues ISIREADING

      Sis reading proof

    - #### EIDSIGNING

          public static final ProofTypeValues EIDSIGNING

      Eid Signing proof Will read Eid card and launch GUI to ask for PIN code

  - ### Method Detail

    - #### values

          public static ProofTypeValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProofTypeValues c : ProofTypeValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProofTypeValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

      Returns:

Connector Packaging PERSNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.